/**
 * @class kParticleFactory
 * @brief For Spawning Particles
 */
class kParticleFactory
{
public:

	kParticle@ Spawn(const int particleID, kActor@ actor, const kVec3&in localPos, const kQuat&in rotation, const kVec3&in unknown);
	kParticle@ Spawn(const kStr&in particleName, kActor@ actor, const kQuat&in rotation, const kVec3&in pos);
	kParticle@ Spawn(const int particleID, kActor@ actor, const kQuat&in rotation, const kVec3&in pos);
};
